Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Pluxee - APM ile Ödeme Alma

POST https://api-test.fincraft.com.tr/api/v1/payments/apm-methods/auth

Request Body

{
  "customerPhone": "",
  "paymentCode": "843195",
  "apmType": "PLUXEE",
  "referenceId": "uuid",
  "amount": 5.1,
  "currency": "TRY",
  "clientIp": "192.168.1.100",
  "products": [
    {
      "name": "Ürün 1",
      "externalId": "PROD-001",
      "price": 5
    }
  ]
}

Request Parametreleri

ParametreTipZorunluAçıklama
customerPhoneStringEvetMüşteri telefon numarası (5XXXXXXXXX formatında)
paymentCodeStringEvet6 haneli kullanıcıdan alınan ödeme kodu
apmTypeStringEvetPLUXEE
referenceIdStringEvetİşleme özel benzersiz referans ID
amountDecimalEvetToplam işlem tutarı
currencyStringEvetPara birimi (TRY)
clientIpStringEvetIP adresi

Response Body

{
    "response": {
        "id": "c5cd3cf3-11e9-40ac-b1c3-efd378f4abde",
        "amount": 5.1,
        "currency": "TRY",
        "apmName": "Pluxee",
        "referenceId": "58788b5e-49f1-4ee2-a473-f0766a9b0628",
        "paymentStatus": "SUCCESS",
        "transactionId": "000065097317"
    }
}